/* Fonts */

/* Strenuous Light Italics */
@font-face {font-family: "StrenuousW05-LightItalic"; src: url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.eot"); src: url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.eot?#iefix") format("embedded-opentype"), url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.woff2") format("woff2"), url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.woff") format("woff"), url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.ttf") format("truetype"), url("//db.onlinewebfonts.com/t/0e38769e2e475da7a42a0562a025f946.svg#StrenuousW05-LightItalic") format("svg"); }
/* Silicone Light Italics */
@font-face {font-family: "SiliconeW00-LightItalic"; src: url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.eot"); src: url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.eot?#iefix") format("embedded-opentype"), url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.woff2") format("woff2"), url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.woff") format("woff"), url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.ttf") format("truetype"), url("//db.onlinewebfonts.com/t/598587e85cf85afd0a23ce09493e1c47.svg#SiliconeW00-LightItalic") format("svg"); }
/* LogoSans Regular */
@font-face {font-family: "LogoSans 8"; src: url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.eot"); src: url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.eot?#iefix") format("embedded-opentype"), url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.woff2") format("woff2"), url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.woff") format("woff"), url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.ttf") format("truetype"), url("//db.onlinewebfonts.com/t/0093225f0c0b7a29d67e6ab7b54eef8d.svg#LogoSans 8") format("svg"); }

/* body/etc */

body {
    background-color: green;
    height: 100vh;
    width: auto;
    padding: 30px;
    margin-bottom: 10%;
    padding-bottom: 25%;
    
    
     background-size: 
        100px 100px,
        100px 100px,
        400% 400%;
    background-image:
    linear-gradient(to right, #fca53a70 3px, transparent 1px),
    linear-gradient(to bottom, #fca53a70 3px, transparent 1px),
    linear-gradient(-45deg, #d92a1a, #fc683290, #d92a1a90, #fc683290, #d92a1a);
   
    
    animation: gradient 11s ease infinite;
}
 
header {
    border-style: solid;
    background-color: #ffd380 ;
    border-width: 15px;
    border-radius: 30px;
    border-color: #fd971770;
    width: 35vw;
    margin-left: 1vw; 
    position: relative;
    align-self: center;
    z-index: 2;
    box-shadow: -10px 10px #fd971790, -20px 20px #fdaf1780;
}

.container /*
border for page contents */ {
    border-width: 20px;
    border-radius: 4vw;
    margin-left: 5vw;
    border-style: solid; /* version one */
    border-style: hidden; /* version two */
    border-color: #fd502160;
    background-color: #fca53a40;
    position: relative;
    top: 0%; /* version one */
    top: -10%; /* version two */
    display: grid;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: auto
}

.homebutton {
    right: 3%;
    bottom: 5%;
    width: 20%;
    padding-top: 20px;
    padding-right: 20px;
    position: fixed;
    z-index: 5;
}

.homebutton a {
    display: block;
    margin-bottom: 1em;
    padding: 0.3em 1.25em;
    background: #ffd380;
    border: 10px solid #fd971770;
    box-shadow: 5px 5px #fd971780, 10px 10px #fd971780; 
    border-radius: 20px;
    font-family: "SiliconeW00-LightItalic", sans-serif;
    font-weight: bold;
    font-size: 1.5em;
    line-height: 1.667em;
    text-decoration: none;
    color: #fd9717;
    cursor: pointer;
    transition: color, border-color ease 0.4s;
}

.homebutton a:hover {
    border-color: #FF7A2D90;
    box-shadow:5px 5px #FF7A2D, 10px 10px #FF7A2D80;
    color:#FF7A2D;
    text-decoration: none;
}

@keyframes gradient {
    0% {
        background-position: 0 0, 0 0, 0% 50%;
    }
    50% {
        background-position: 0 0, 0 0, 100% 50%;
    }
    100% {
        background-position: 0 0, 0 0, 0% 50%;
    }
}

main {
    background-image: url(img_files/heartguys/heartguy%201.3.svg);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin-left: 10%;
    margin-right: 10%;
    margin-bottom: 10%;
    display: grid;
    align-items: center;
    justify-content: center;
    text-align: center;
    height: auto;
    margin-top: 10%
}

/** for body about style="padding-left: 5vw; paddin 5vw" **/

.center {
    align-content: center;
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
}

/** For smaller screens **/
/* For Mobile */
@media screen and (max-width: 540px) {
    header {
        border-width: 3vw;
        width: 70vw;
        height: 22vw;
        margin-left: -2vw; 
        margin-top: -6vw;
        position: relative;
        align-self: center;
        z-index: 2;
        box-shadow: -2vw 2vw #fd971790, -4vw 4vw #fdaf1780;
    }
    .container /*
    border for page contents */ {
        border-width: 100vw;
        border-radius: 15vw;
        border-top-right-radius: 20vw;
        border-top-left-radius: 5vw;
        margin-left: -6vw;
        margin-right: -6vw; /* version two */
        margin-left: -5vw;
        margin-right: -5vw; /* version one */
        top: -5%; /* version two */
    }
    main {
        margin-left: 2vw;
        margin-right: 2vw;
        margin-bottom: 15vh;
    }    
    .homebutton {
        right: 14%;
        bottom: 3%;
        width: 40vw;
        padding-top: 0vw;
        padding-right: 1vw;
        position: fixed;
        z-index: 5;
    }
    .homebutton a {
        margin-bottom: 2em;
        padding: 0.3em 0.3em;
    }
}

/* For Tablets */
@media screen and (min-width: 540px) and (max-width: 1024px) and (min-height: 700p) {
    header {
        border-width: 3vw;
        width: 70vw;
        height: 22vw;
        margin-left: -2vw; 
        margin-top: -6vw;
        position: relative;
        align-self: center;
        z-index: 2;
    }
    .container /*
    border for page contents */ {
        border-width: 100vw;
        border-radius: 20vw;
        margin-left: -6vw;
        margin-right: -6vw; /* version two */
        margin-left: -5vw;
        margin-right: -5vw; /* version one */
        top: -5%; /* version two */
    }
    main {
        margin-left: 2vw;
        margin-right: 2vw;
        margin-bottom: 15vh;
    }    
    .homebutton {
        width: 20vw;
        padding-top: 0vw;
        padding-right: 1vw;
        position: fixed;
        z-index: 5;
    }
    .homebutton a {
        margin-bottom: 2em;
        padding: 0.3em 0.3em;
    }
}
/** end of smaller screens **/

/** About Page Columns **/

.first-column {
    width: 80%;
    float: left;
    padding: 0 4% 0 0
}
.second-column {
    width: 12%;
    float: right;
}
.section-one {
    margin: 0% 0% 0% 4%; 
    float: right; 
    width: 60%;
}
/* About page columns small screens */
@media screen and (max-width: 540px) {
    .first-column {
        width: 85%;
        float: left;
        padding: 0 4% 0 0
    }
    .second-column {
        float: left;
        margin-left: -20px;
    }
    h2 a {
        font-size: .8em
    }
    .section-one {
    margin: 0% 0% 0% 0%; 
    float: right; 
    width: 100%;
    }
}
/* end abt pg columns */

/** contact form stuffs **/

label {
    color: #ffc878;
    color: #feb845;
    font-family: "StrenuousW05-LightItalic";
    font-weight: 900
}

.input-form {
    text-align: left;
    font-family: "LogoSans 8", sans-serif;
    font-weight: 600;
    color: #fdaf17;
    display: grid;
    padding-left: 20vw;
    padding-right: 20vw;
    margin: auto;
    position: relative;
    top: 5%;
    font-size: 1.1em;
    /* taken out bc of mobile changes
    padding-bottom: 25vh */
}

input[type=text] {
    width: 100%;
    padding: 12px;
    box-sizing: border-box; /* Make sure that padding and width stays in place */
    margin-top: 6px; 
    margin-bottom: 16px;
    resize: vertical;
    border-style: solid;
    border-radius: 15px;
    border-color: #fd971750;
    border-width: 5px;
    background-color: #ffd380;
    font-size: 1em;
    font-family: "LogoSans 8", sans-serif;
    font-weight: bolder;
    color: #fe9345
}

input[type=text]:focus {
    
}

textarea {
    width: 100%;
    padding: 12px;
    box-sizing: border-box; /* Make sure that padding and width stays in place */
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
    border-style: solid;
    border-radius: 15px; 
    border-color: #fd971750;
    border-width: 5px;
    background-color: #ffd380;
    font-size: 1.2em;
    font-family: "LogoSans 8", sans-serif;
    font-weight: bolder;
    color: #fe9345
}

textarea:focus {
    border
}

input[type=submit] {
    width:30%;
    height: 13%;    
    border-style: hidden;
    border-radius: 15px;
    background: rgb(252, 165, 58, 35%);
    color: #fdc075;
    text-align: center;
    font-family: "LogoSans 8", sans-serif;
    font-weight: bolder;
    font-size: 1.1em;
    padding: auto
}

@media screen and (max-width: 1100px) {
    .input-form {
        padding-left: 5vw;
        padding-right: 5vw
    }
}

input[type=submit]:hover {
    background: rgb(252, 165, 58, 75%);
}

input[type=submit]:active {
    border-style: solid;
    border-color: #fd502170;
    border-width: 10px
}

::placeholder {
    font-family: "LogoSans 8", sans-serif;
    font-weight: bold;
    color: #fd971770;
}

/* end of contact form biz */

/* work/portfolio */

.toolbox {
    border-style: solid;
    background-color: #ffd38010;
    border-width: 15px;
    border-radius: 30px;
    border-color: #fd9717;
    
    position: relative;
    z-index: 1;
    box-shadow: 10px -10px #fd971790, 20px -20px #fdaf1780;
    text-align: center;
    padding: 1%;
    
    line-height: ;
    bottom: 5%;
    right: 0%;
    width: 93%;
    margin: auto
}

.toolbox h4 {
    font-size: 1.5vw;
    text-align: center
}

.toolbox p {
    font-size: 
}

.sticky-link {
    width: 5%;
    float: right;
    position: sticky;
    padding: 0 0 0 1%;
}

.grid {
    width: 94%;
    float: left;
    display: grid;
    align-items: center;
}

@media screen and (max-width: 540px) {
    .toolbox {
        margin-top: 18%;
        width: 85%;
        left: -3%;
        border-width: 3vw;
        box-shadow: 2vw -2vw #fd971790, 4vw -4vw #fdaf1780;
    }
     .grid {
        grid-template-columns: repeat(1, 1fr);
        width: 85%;
    }
    .sticky-link {
        margin-left: -20px;
    }
    .work-sample:focus,
    .work-sample:hover {
        transform: none
    }
}

@media screen and (min-width: 540px) and (max-width: 1024px) and (min-height: 700p) {
    .toolbox {
        margin-top: 25%;
        width: 85%;
        left: -3%;
        border-width: 3vw;
        box-shadow: 2vw -2vw #fd971790, 4vw -4vw #fdaf1780;
    }
}

@media screen and (min-width: 700px) {
    .grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .work-sample:focus,
    .work-sample:hover {
        transform: none
    }
    .work-sample:focus,
    .work-sample:hover {
    transform: scale(1.2);
    z-index: 4;
    }
}

/*
@media screen and (min-width: 900px) {
    .grid {
        grid-template-columns: repeat(3, 1fr);
    }
    .work-sample:focus,
    .work-sample:hover {
    transform: scale(1.2);
    z-index: 5;
    }
} */

.work-sample {
    width: 100% ;
    position: relative;
    z-index: 0;
    margin: 0%;
    transition: 500ms;
    vertical-align: middle;
    padding-bottom: 4%
}

.work-sample:focus .work-text,
.work-sample:hover .work-text {
    opacity: 1;
    z-index: 6
}

.hidden-slides {
    opacity: 0;
    position: absolute
}

.slider {
   grid:  
}

.popup-noslide {
    
}

.work-text {
    position: absolute;
    z-index: 0;
    transition: .5s ease;
    opacity: 0;
    transform: translate(70%,0%);
}

.work-title {
    
}

.work-date {
    margin-top: -8%
}

.work-img {
    position: relative;
    width: 95%;
    border-radius: 20px;
}

.overlayDiv{
    position: absolute;
    width: 100%;
    height: auto;
    top: 0px;
    left: 0px;
    background-color: transparent;
    z-index: 3;
}

img {
    /* border: 15px solid #ffd380; */
    border-radius: 20px;
    width: 60%;
}

video {
    border-radius: 20px;
    width: 60%
}

aside {
    float: right;
    writing-mode: vertical-lr;
    transform:translateX(-80%);
    text-orientation: mixed;
    font-size: .8vw;
}

aside a {
    text-decoration: none;
    color: #ffc878
}

aside a:hover {
    color: #feb845
}

h1 {
    font-family: "StrenuousW05-LightItalic", sans-serif;
    text-align: center;
    color: #ffd380;
    background-color: antiquewhite;
    border-style: dashed;
    border-width: thick;
    border-radius: 10px
}

h2 {
    font-family: "SiliconeW00-LightItalic", sans-serif;
    text-align: center;
    font-size: 2.5em;
    padding-left: 10%;
    padding-right: 10%;
    color: #fd971790
}
@media screen and (max-width: 540px) {
 h2 {
        margin-top: 7vw;
        font-size: 8vw;
    }
}
h3 {
    font-family: "SiliconeW00-LightItalic", sans-serif;
    font-size: 1.7em;
    color: #fdaf17;
    padding-left: 10%;
    padding-right: 10%;
    padding-bottom: 1%;
    text-align: center:
}

h4 {
    font-family: "StrenuousW05-LightItalic", sans-serif;
    text-align: justify;
    color: #ffd380;
    font-size: 2em;
}

h6 {
    font-family: "StrenuousW05-LightItalic", sans-serif;
    text-align: left;
    text-align-last: ;
    color: #ffd380;
    font-size: 20px;
    line-height: 1.4em
}

h7 {
    font-family: "StrenuousW05-LightItalic", sans-serif;
    text-align: justify;
    text-align-last: center;
    color: #ffd380;
    font-size: 2vw;
}

p {
    
    font-family: "StrenuousW05-LightItalic", sans-serif;
    color: #ffeac2;
    font-size: 16px;
    font-weight: bold;
    text-align:justify;
    text-align-last: center
}

footer {
    padding: 2%
}

